Skip to content
中文

POST /minimax/v1/t2a_async_v2

Method: POSTEndpoint: /minimax/v1/t2a_async_v2

Official Documentation

This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json Required

text
model
string
Required
  // provider-specific example normalized for English documentation
text
string
Required
  // provider-specific example normalized for English documentation
language_boost
string
Optional
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
voice_setting
object
Required
voice_id
string
Required
  // provider-specific example normalized for English documentation
speed
number
Optional
  // provider-specific example normalized for English documentation
vol
number
Optional
  // provider-specific example normalized for English documentation
pitch
integer
Optional
  // provider-specific example normalized for English documentation
pronunciation_dict
object
Optional
tone
array
[string]
Optional
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
audio_setting
object
Optional
audio_sample_rate
integer
Optional
  // provider-specific example normalized for English documentation
bitrate
integer
Optional
  // provider-specific example normalized for English documentation
format
string
Optional
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
channel
integer
Optional
  // provider-specific example normalized for English documentation
voice_modify
object
  // provider-specific example normalized for English documentation
Optional
pitch
integer
Optional
  // provider-specific example normalized for English documentation
intensity
integer
Optional
  // provider-specific example normalized for English documentation
timbre
integer
Optional
  // provider-specific example normalized for English documentation
sound_effects
string
Optional
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
text_file_id
integer
Required
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
aigc_watermark
boolean
Optional
  // provider-specific example normalized for English documentation
Example
{
"model"
:
"speech-2.6-hd"
,
"text"
:
  // provider-specific example normalized for English documentation
,
"language_boost"
:
"auto"
,
"voice_setting"
:
{
"voice_id"
:
"audiobook_male_1"
,
"speed"
:
1
,
"vol"
:
1
,
"pitch"
:
1
}
,
"pronunciation_dict"
:
{
"tone"
:
[
"dangerous"
]
}
,
"audio_setting"
:
{
"audio_sample_rate"
:
32000
,
"bitrate"
:
128000
,
"format"
:
"mp3"
,
"channel"
:
2
}
,
"voice_modify"
:
{
"pitch"
:
0
,
"intensity"
:
0
,
"timbre"
:
0
,
"sound_effects"
:
"spacious_echo"
}
}

Example Request

Shell

bash
curl --location --request POST '/minimax/v1/t2a_async_v2' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "model": "speech-2.6-hd",
  // provider-specific example normalized for English documentation
  "language_boost": "auto",
  "voice_setting": {
    "voice_id": "audiobook_male_1",
    "speed": 1,
    "vol": 1,
    "pitch": 1
  },
  "pronunciation_dict": {
    "tone": [
      "dangerous"
    ]
  },
  "audio_setting": {
    "audio_sample_rate": 32000,
    "bitrate": 128000,
    "format": "mp3",
    "channel": 2
  },
  "voice_modify": {
    "pitch": 0,
    "intensity": 0,
    "timbre": 0,
    "sound_effects": "spacious_echo"
  }
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
task_id
integer
  // provider-specific example normalized for English documentation
Optional
task_token
string
Optional
  // provider-specific example normalized for English documentation
file_id
integer
Optional
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
usage_characters
integer
  // provider-specific example normalized for English documentation
Optional
base_resp
object
Optional
  // provider-specific example normalized for English documentation
status_code
integer
Required
Status Code
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
1004: authentication failed
1039: TPM rate limit triggered
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
status_msg
string
Status Details
Required

Example

json
{
    "task_id": 95157322514444,
    "task_token": "eyJhbGciOiJSUz",
    "file_id": 95157322514444,
    "usage_characters": 101,
    "base_resp": {
        "status_code": 0,
        "status_msg": "success"
    }
}